Subject: Uploaded to ifcss: Unicode Han-Character Properties Database

From: christian wittern <[email-masked]>
Date: Mon, 26 Jul 1993 09:46:48 JST

Dear Netters,

A couple of weeks ago, I posted a call for contributions for
this database project. Although the answers have not been too
$x enthusiastic, I compiled some material for a first release and uploaded
 {it to ifcss.org, where it can be found in /software/data/unicode-hanchar.

Any comments welcome, especially new contributions or corrections.
I will stay offline from wednesday for three weeks, so please be
patient while waiting for a response :-)

I include some extracts from the file uh-intro.doc, which can be found
on the above location:

This file is part of the Unicode Han-Character Properties Database
Initial Release 23.7.93

Introduction

The Unicode Han-Character Properties Database is an attempt to bring
character property mappings from different coding schemes
used in East-Asia together under the common roof of Unicode.

Some weeks ago, a call for contributions for this database
has been sent to various lists on the network. Although the
response was not enthusiastic (I got two new contributions, one
 {from Hartmut Bohn, Trier, author of ChInDex and one from Carlos McEville,
author of the excellent E-text utility Bamboo Helper, which are gratefully
acknowledged here), I will release some material now and hope that
contributions will continue to come in, encouraged by the success
of this first release. I will continue to support this database
project by adding new contributions as they arrive, and correct errors
as they are pointed out to me.

Although (to my knowledge) applications which fully support Unicode
are not yet available, some advantages can already be taken from
the mapping of the table released by the Unicode corporation
in CJKXREF. I used the release of 1992/12/24 for the mappings in
this databases.

Three tables are included in this initial release:

UHPINYIN.TXT in zipfile UHPINYIN.ZIP

The <tab> separated columns in this file contains the following information:
{_
1. Unicode  (4 hexadezimal digits)
2. - 10. Pinyin readings

UHDICS.TXT in zipfile UHDICS.ZIP

The <tab> separated columns in this file contains the following information:

1. Unicode  (4 hexadezimal characters)
2. Volume and page in Morohashi (2+4 digits)
3. Character Number in Nelson (4 digits)
4. Character Number in Shinjigen (4 digits)
5. Character Number in the Fareast Dictionary Series (4 digits)

UH4C.TXT in zipfile UH4C.TXT

The <tab> separated columns in this file contains the following information:

1. Unicode  (4 hexadezimal digits)
2. Four Corner Code (5 digits)
3. Second Four Corner Code (5 digits) occasional added for convenience

An additional file UH-XTRAC.ZIP contains MS-DOS executables for extracting
the data to BIG5, JIS and GB using the mappings in CJKXREF.FIX (24.12.1992).
Users of Non-MSDOS platforms can not yet be provided with a convenient way
to easily extract the data, some hints on how a program to achieve this
should be constructed are found in UH-XTRAC.DOC.

Unicode Han-Character Properties Database
Compiler:
Christian Wittern [email-masked]

Please report any mistakes and suggestions to me.

Please credit the contributors if you use material from this database.